Skip to main content

Search branches

GET /api/v1/git/branches/search

Search branches in a repository. Returns a paginated list of branches matching the search query.

Parameters​

NameInTypeRequiredDescription
providerqueryProviderTypeyes—
repositoryquerystringyes—
queryquerystringyes—
page_idquery`stringnull`no
limitqueryintegerno—

Responses​

StatusDescription
200Successful Response
422Validation Error

Response body​

FieldTypeRequiredDescription
itemsBranch[]yes—
next_page_id`stringnull`no

Operation ID: search_branches_api_v1_git_branches_search_get